.newsletter-signup-wrapper {
  .text-left {
    text-align: left;
  }
  .text-center {
    text-align: center;
  }
  .text-right {
    text-align: right;
  }

  .border-true {
    border: 2px solid rgba(var(--color-foreground, 0, 0, 0));
  }

  .newsletter-signup-wrapper__content {
    max-width: 65rem;
    margin-left: auto;
    margin-right: auto;
    display: grid;
    grid-template-columns: 1fr;
    gap: 1rem;
  }
  .newsletter-heading {
    margin-top: 0;
    margin-bottom: 0;
  }
  .newsletter-signup-form {
    padding-top: 56px;
    &.text-left .newsletter-form {
      align-items: flex-start;
    }
    &.text-center .newsletter-form {
      align-items: center;
    }
    &.text-right .newsletter-form {
      align-items: flex-end;
    }
    .field__input {
      border: 1px solid rgba(var(--color-foreground, 0, 0, 0));
    }
  }
  .newsletter-form__field-wrapper {
    max-width: 450px;
  }
  .newsletter-social {
    padding-top: 32px;
    .social ul {
      margin: 0;
      padding: 0;
      list-style: none;
      display: flex;
      align-items: center;
      justify-content: center;
      gap: 1.6rem;
      flex-wrap: wrap;
      svg {
        width: 20px;
        height: 20px;
        fill: rgba(var(--color-foreground, 0, 0, 0)) !important;
        path {
          fill: rgba(var(--color-foreground, 0, 0, 0)) !important;
        }
      }
    }
  }
}
